<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.23
Name: [4] Zalecenie wykonania procedury
Description: Szablon CDA dla zalecenia wykonania procedury
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000">
   <title>[4] Zalecenie wykonania procedury</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]"
         id="tmp-r-cb25a57a-9fe7-4db9-8fe7-5ba16b5c9949">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/@nullFlavor)">(plCdaProcedureRequest): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'])&lt;=1">(plCdaProcedureRequest): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']"
         id="tmp-r-1a239713-7c9b-4ce6-9c5c-100fed1ef1c0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="string(@classCode)='PROC'">(plCdaProcedureRequest): Wartość dla @classCode MUSI wynosić 'PROC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="string(@moodCode)='RQO'">(plCdaProcedureRequest): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaProcedureRequest): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaProcedureRequest): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23']/@nullFlavor)">(plCdaProcedureRequest): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'])&lt;=1">(plCdaProcedureRequest): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']/@nullFlavor)">(plCdaProcedureRequest): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'])&lt;=1">(plCdaProcedureRequest): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaProcedureRequest): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaProcedureRequest): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaProcedureRequest): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaProcedureRequest): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaProcedureRequest): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaProcedureRequest): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaProcedureRequest): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23']
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23']"
         id="tmp-r-459332eb-b8df-4078-a300-f6fbbd40c1a5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.23'">(plCdaProcedureRequest): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.23'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:id
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:id"
         id="tmp-r-6aa8b08d-1321-4caf-a415-64ecd8de3218">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']"
         id="tmp-r-e0157fb9-2a6a-4fbe-b4c9-ef261698e3c0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:statusCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:statusCode"
         id="tmp-r-207a3128-5b06-44dd-9ccd-a4c16b0ce1d3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaProcedureRequest): Wartość elementu MUSI wynosić ActStatus (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaProcedureRequest): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActStatus (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:effectiveTime
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:effectiveTime"
         id="tmp-r-0b1cea6c-4bc8-43e3-9bca-56d89db1f55c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:priorityCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:priorityCode"
         id="tmp-r-2038c835-222f-436a-9c39-b36d83861e93">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaProcedureRequest): Wartość elementu MUSI wynosić ActPriority (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaProcedureRequest): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActPriority (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:languageCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:languageCode"
         id="tmp-r-c3ea64ed-75ea-4100-b029-e4af18e61788">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaProcedureRequest): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaProcedureRequest): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:methodCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:methodCode"
         id="tmp-r-9d97c689-a76d-46f4-a6bc-7061f875dbbf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1065')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1065'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:approachSiteCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:approachSiteCode"
         id="tmp-r-2407f7b5-a38c-4b76-9cfa-4868c41c5cdc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:targetSiteCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:targetSiteCode"
         id="tmp-r-b8b33a7a-8882-464a-b03a-2b38ec8151e2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:specimen[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.16']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.17']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.19']
Item: (plCdaProcedureRequest)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:entryRelationship
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:reference
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:precondition
Item: (plCdaProcedureRequest)
-->
</pattern>
